*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Segoe UI',sans-serif;
scroll-behavior:smooth;
}

body{
background:#ffffff;
color:#111;
}

/* TOP BAR */

.top-bar{
background:#111;
color:white;
display:flex;
justify-content:space-around;
align-items:center;
padding:12px;
font-size:14px;
flex-wrap:wrap;
}

.highlight{
color:#E50914;
font-weight:bold;
}

/* NAVBAR */

nav{
position:sticky;
top:0;
z-index:1000;

background:white;

display:flex;
justify-content:space-between;
align-items:center;

padding:15px 6%;

box-shadow:0 2px 15px rgba(0,0,0,.08);
}

.logo-area{
display:flex;
align-items:center;
gap:15px;
}

.logo-area img{
width:70px;
height:70px;
object-fit:contain;
}

.logo-area h2{
font-size:22px;
}

nav ul{
display:flex;
list-style:none;
gap:30px;
}

nav ul li a{
text-decoration:none;
color:#111;
font-weight:600;
transition:.3s;
}

nav ul li a:hover{
color:#E50914;
}

/* HERO */

.hero{
position:relative;
height:100vh;
overflow:hidden;

display:flex;
justify-content:center;
align-items:center;
text-align:center;
}

.bg-slide{
position:absolute;
top:0;
left:0;

width:100%;
height:100%;

object-fit:cover;

opacity:0;

transition:1.5s ease;
}

.bg-slide.active{
opacity:1;
}

.overlay{
position:absolute;
top:0;
left:0;

width:100%;
height:100%;

background:rgba(0,0,0,.55);
}

.hero-content{
position:relative;
z-index:10;
color:white;
max-width:900px;
padding:20px;
}

.hero-content h4{
font-size:22px;
letter-spacing:5px;
margin-bottom:15px;
}

.hero-content h1{
font-size:80px;
font-weight:900;
line-height:1.1;
margin-bottom:20px;
}

.hero-content p{
font-size:24px;
margin-bottom:30px;
}

.hero-buttons{
display:flex;
justify-content:center;
gap:20px;
flex-wrap:wrap;
}

.btn{
background:#E50914;
color:white;
text-decoration:none;
padding:15px 35px;
border-radius:50px;
font-weight:bold;
transition:.3s;
}

.btn:hover{
transform:translateY(-5px);
}

.btn-outline{
border:2px solid white;
color:white;
text-decoration:none;
padding:15px 35px;
border-radius:50px;
transition:.3s;
}

.btn-outline:hover{
background:white;
color:black;
}

/* SECTION TITLES */

.section-title{
text-align:center;
font-size:45px;
margin-bottom:50px;
color:#111;
}



/* =====================================
   ACADEMY AD BANNER
===================================== */

.academy-ad{
    width:100%;
    padding:55px 7%;
    background:#f7f7f7;
    display:flex;
    justify-content:center;
    align-items:center;
}

.academy-ad img{
    display:block;
    width:100%;
    max-width:1100px;
    height:580px;
    object-fit:cover;
    object-position:center top;

    border-radius:18px;

    box-shadow:
        0 15px 40px rgba(0,0,0,.15);

    border:1px solid #e5e5e5;

    transition:.4s ease;
}

    border-radius:18px;

    box-shadow:
        0 15px 40px rgba(0,0,0,.15);

    border:1px solid #e5e5e5;

    transition:.4s ease;
}

.academy-ad img:hover{
    transform:translateY(-5px);
    box-shadow:
        0 22px 50px rgba(0,0,0,.20);
}


/* MOBILE */

@media(max-width:768px){

    .academy-ad{
        padding:35px 18px;
    }

    .academy-ad img{
        height:180px;
        border-radius:12px;
    }

}


.instructor-quote {
    margin: 28px auto 0;
    padding-top: 20px;
    border-top: 1px solid rgba(0, 0, 0, 0.15);

    font-size: 17px;
    line-height: 1.6;
    font-style: italic;
    color: #666;

    max-width: 650px;
    text-align: center;
}

/* =====================================
   RIGHT IMAGE
===================================== */

.about-instructor{

    display:flex;

    justify-content:center;
}


.instructor-photo{

    position:relative;

    width:100%;

    max-width:430px;

    height:570px;

    overflow:hidden;

    background:#222;

    border-radius:5px;

    box-shadow:
        0 25px 55px rgba(0,0,0,.5);
}


.instructor-photo img{

    width:100%;
    height:100%;

    object-fit:cover;

    display:block;

    transition:.6s ease;
}


.instructor-photo:hover img{

    transform:scale(1.04);
}


.instructor-photo-overlay{

    position:absolute;

    inset:0;

    background:
        linear-gradient(
            to top,
            rgba(0,0,0,.65),
            transparent 55%
        );

    pointer-events:none;
}


/* =====================================
   ABOUT MOBILE
===================================== */

@media(max-width:768px){

    #about{

        padding:75px 20px;
    }


    .about-container{

        grid-template-columns:1fr;

        gap:45px;
    }


    .about-text h2{

        font-size:36px;
    }


    .about-intro{

        font-size:16px;
    }


    .about-feature{

        gap:14px;
    }


    .feature-icon{

        min-width:50px;

        width:50px;
        height:50px;
    }


    .about-feature h3{

        font-size:17px;
    }


    .about-feature p{

        font-size:14px;
    }


    .instructor-photo{

        height:450px;

        max-width:100%;
    }

}


/* ================================
   INSTRUCTOR BADGE
================================ */

.instructor-badge{

    position:absolute;

    bottom:25px;
    left:25px;

    z-index:2;

    border-left:4px solid #E50914;

    padding-left:15px;
}


.instructor-badge strong{

    display:block;

    font-size:22px;

    color:white;
}


.instructor-badge span{

    display:block;

    margin-top:5px;

    color:#E50914;

    font-size:13px;

    font-weight:700;

    letter-spacing:1px;
}


/* ================================
   MOBILE
================================ */

@media(max-width:768px){

    #about{

        padding:70px 20px;
    }


    .about-container{

        grid-template-columns:1fr;

        gap:45px;
    }


    .about-text{

        max-width:100%;
    }


    .about-text h2{

        font-size:36px;
    }


    .about-intro{

        font-size:16px;
    }


    .about-instructor{

        order:2;
    }


    .instructor-photo{

        height:450px;

        max-width:100%;
    }

}

/* =====================================
   INSTRUCTOR SECTION
===================================== */

#instructor{

    position:relative;

    padding:110px 8%;

    background:#111;

    color:white;

    overflow:hidden;
}


/* =====================================
   BACKGROUND DESIGN
===================================== */

#instructor::before{

    content:"";

    position:absolute;

    width:700px;
    height:700px;

    left:-250px;
    top:-250px;

    border-radius:50%;

    background:
        radial-gradient(
            circle,
            rgba(229,9,20,.16),
            transparent 65%
        );

    pointer-events:none;
}


#instructor::after{

    content:"DISCIPLINE";

    position:absolute;

    right:-80px;
    bottom:-40px;

    font-size:150px;

    font-weight:900;

    font-style:italic;

    color:rgba(255,255,255,.025);

    letter-spacing:-5px;

    pointer-events:none;
}



/* =====================================
   MAIN CONTAINER
===================================== */

.instructor-container{

    position:relative;

    z-index:2;

    max-width:1250px;

    margin:auto;

    display:grid;

    grid-template-columns:
        .9fr 1.1fr;

    gap:75px;

    align-items:center;
}



/* =====================================
   LEFT IMAGE
===================================== */

.instructor-image{

    position:relative;

    width:100%;

    height:570px;

    overflow:hidden;

    background:#222;

    border-radius:5px;

    box-shadow:
        0 25px 55px rgba(0,0,0,.5);
}


.instructor-image img{

    width:100%;

    height:100%;

    object-fit:cover;

    object-position:center;

    display:block;

    transition:.6s ease;
}


.instructor-image:hover img{

    transform:scale(1.05);
}



/* =====================================
   IMAGE RED BORDER
===================================== */

.instructor-image::before{

    content:"";

    position:absolute;

    left:15px;
    top:15px;

    width:100%;
    height:100%;

    border:2px solid #E50914;

    z-index:0;

    pointer-events:none;
}


.instructor-image img{

    position:relative;

    z-index:1;
}


/* =====================================
   IMAGE OVERLAY
===================================== */

.instructor-image-overlay{

    position:absolute;

    inset:0;

    z-index:2;

    background:
        linear-gradient(
            to top,
            rgba(0,0,0,.85),
            transparent 50%
        );

    pointer-events:none;
}



/* =====================================
   PHOTO BADGE
===================================== */

.instructor-photo-badge{

    position:absolute;

    z-index:3;

    left:28px;

    bottom:28px;

    padding-left:16px;

    border-left:4px solid #E50914;
}


.instructor-photo-badge span{

    display:block;

    font-size:24px;

    font-weight:900;

    letter-spacing:2px;
}


.instructor-photo-badge small{

    display:block;

    margin-top:4px;

    font-size:12px;

    color:#ddd;

    letter-spacing:3px;
}



/* =====================================
   RIGHT CONTENT
===================================== */

.instructor-content{

    max-width:620px;
}



/* SMALL TITLE */

.instructor-label{

    display:inline-block;

    color:#E50914;

    font-size: 48px;

    font-weight:800;

    letter-spacing:4px;

    margin-bottom:18px;
}



/* =====================================
   MAIN HEADING
===================================== */

.instructor-content h2{

    margin:0;

    font-size:25px;

    line-height:1;

    font-weight:900;

    font-style:italic;

    letter-spacing:-1px;

    color:white;
}


.instructor-content h2 span{

    display:block;

    color:#E50914;

    margin-top:5px;
}



/* =====================================
   NAME
===================================== */

.instructor-content h3{

    margin-top:30px;

    margin-bottom:10px;

    font-size:38px;

    font-weight:800;

    letter-spacing:1px;

    color:white;
}



/* RED LINE */

.instructor-line{

    width:70px;

    height:4px;

    background:#E50914;

    margin:18px 0 25px;
}



/* =====================================
   MORE THAN MARTIAL ARTS
===================================== */

.instructor-content h4{

    margin:0 0 18px;

    font-size:21px;

    color:#E50914;

    letter-spacing:2px;
}



/* =====================================
   DESCRIPTION
===================================== */

.instructor-content p{

    margin:0 0 17px;

    font-size:17px;

    line-height:1.75;

    color:#ccc;

    max-width:590px;
}



/* =====================================
   TAGS
===================================== */

.instructor-tags{

    display:flex;

    gap:12px;

    flex-wrap:wrap;

    margin-top:30px;
}


.instructor-tags span{

    display:flex;

    align-items:center;

    gap:9px;

    padding:11px 17px;

    border:1px solid #444;

    border-radius:30px;

    color:white;

    font-size:13px;

    font-weight:700;

    letter-spacing:1px;

    transition:.3s ease;
}


.instructor-tags span i{

    color:#E50914;

    font-size:15px;
}


.instructor-tags span:hover{

    background:#E50914;

    border-color:#E50914;

    transform:translateY(-3px);
}


.instructor-tags span:hover i{

    color:white;
}



/* =====================================
   MOBILE
===================================== */

@media(max-width:768px){

    #instructor{

        padding:75px 20px;
    }


    #instructor::after{

        font-size:60px;

        right:-30px;

        bottom:10px;
    }


    .instructor-container{

        grid-template-columns:1fr;

        gap:45px;
    }


    /* IMAGE */

    .instructor-image{

        height:470px;

        order:1;
    }


    .instructor-image::before{

        left:8px;

        top:8px;
    }


    /* CONTENT */

    .instructor-content{

        order:2;

        max-width:100%;
    }


    .instructor-label{

        font-size:40px;

        letter-spacing:3px;
    }


    .instructor-content h2{

        font-size:18px;

        line-height:1.05;
    }


    .instructor-content h3{

        font-size:21px;

        margin-top:28px;
    }


    .instructor-content h4{

        font-size:18px;
    }


    .instructor-content p{

        font-size:15px;

        line-height:1.7;
    }


    .instructor-tags{

        gap:8px;

        margin-top:25px;
    }


    .instructor-tags span{

        padding:9px 13px;

        font-size:11px;
    }

}

/* =====================================
   BRANCHES SECTION
===================================== */

#branches{
    padding:100px 5%;
    background:#ffffff;
}


/* HEADING */

.branch-heading{
    text-align:center;
    margin-bottom:55px;
}

.branch-heading span{
    display:inline-flex;
    align-items:center;
    gap:20px;

    color:#E50914;
    font-size:20px;
    font-weight:800;
    letter-spacing:1px;
}

.branch-heading span::before,
.branch-heading span::after{
    content:"";
    width:70px;
    height:2px;
    background:#E50914;
}

.branch-heading h2{
    margin-top:18px;

    font-size:48px;
    font-weight:900;
    color:#111;
}

.branch-heading h2 b{
    color:#E50914;
}

.branch-heading p{
    margin-top:12px;

    font-size:18px;
    color:#666;
}



/* =====================================
   BRANCH GRID
===================================== */

.branches-container{
    display:grid;

    grid-template-columns:
        repeat(4, 1fr);

    gap:22px;

    max-width:1500px;
    margin:auto;
}



/* =====================================
   BRANCH CARD
===================================== */

.branch-card{
    background:#ffffff;

    border-radius:22px;

    overflow:hidden;

    box-shadow:
        0 8px 30px rgba(0,0,0,.09);

    border:1px solid #eeeeee;

    transition:.4s ease;
}

.branch-card:hover{
    transform:translateY(-10px);

    box-shadow:
        0 18px 45px rgba(0,0,0,.15);
}



/* =====================================
   MAP
===================================== */

.map-box{
    position:relative;

    height:245px;

    overflow:hidden;

    background:#eeeeee;
}


.map-box iframe{
    width:100%;
    height:100%;

    border:0;

    filter:
        grayscale(100%)
        brightness(1.08)
        contrast(.80);

    opacity:.65;

    transform:scale(1.03);

    transition:.5s ease;
}


.branch-card:hover .map-box iframe{
    filter:
        grayscale(75%)
        brightness(1.05)
        contrast(.90);

    opacity:.85;

    transform:scale(1.07);
}



/* =====================================
   WHITE MAP OVERLAY
===================================== */

.map-overlay{
    position:absolute;

    inset:0;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,.18),
            rgba(255,255,255,.05) 60%,
            rgba(255,255,255,.55)
        );

    pointer-events:none;
}



/* =====================================
   OPEN MAP BUTTON
===================================== */

.map-button{
    position:absolute;

    top:18px;
    left:18px;

    background:white;

    padding:11px 15px;

    border-radius:10px;

    font-size:14px;

    font-weight:600;

    color:#333;

    box-shadow:
        0 5px 18px rgba(0,0,0,.15);

    display:flex;
    align-items:center;
    gap:8px;
}

.map-button i:first-child{
    color:#E50914;
}

.map-button i:last-child{
    color:#E50914;
    font-size:12px;
}



/* =====================================
   CUSTOM LOCATION PIN
===================================== */

.map-pin{
    position:absolute;

    left:50%;
    top:55%;

    transform:
        translate(-50%,-50%);

    width:58px;
    height:58px;

    background:#E50914;

    border-radius:50% 50% 50% 0;

    transform:
        translate(-50%,-50%)
        rotate(-45deg);

    box-shadow:
        0 10px 25px rgba(229,9,20,.35);

    display:flex;
    justify-content:center;
    align-items:center;

    transition:.4s ease;
}

.map-pin i{
    color:white;

    font-size:25px;

    transform:rotate(45deg);
}

.branch-card:hover .map-pin{
    transform:
        translate(-50%,-50%)
        rotate(-45deg)
        scale(1.12);
}



/* =====================================
   BRANCH CONTENT
===================================== */

.branch-content{
    padding:25px;
}


.branch-content h3{
    color:#E50914;

    font-size:19px;

    line-height:1.3;

    margin-bottom:18px;

    min-height:50px;
}


.branch-time{
    color:#555;

    font-size:15px;

    margin:12px 0;

    display:flex;
    align-items:center;

    gap:10px;
}

.branch-time i{
    color:#E50914;

    width:18px;
}



/* =====================================
   VIEW ON MAP BUTTON
===================================== */

.map-link{
    display:flex;

    align-items:center;
    justify-content:center;

    gap:12px;

    margin-top:22px;

    padding:13px 20px;

    background:#E50914;

    color:white;

    text-decoration:none;

    border-radius:30px;

    font-weight:700;

    font-size:14px;

    transition:.3s ease;
}

.map-link:hover{
    background:#111;

    transform:translateX(3px);
}

.map-link i{
    transition:.3s;
}

.map-link:hover i{
    transform:translateX(5px);
}



/* =====================================
   NOTE
===================================== */

.map-note{
    text-align:center;

    margin-top:35px;

    color:#666;

    font-size:16px;
}

.map-note i{
    color:#E50914;

    margin-right:7px;
}

/* GALLERY */

#gallery{
padding:100px 8%;
background:#f7f7f7;
}

.gallery-container{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(350px,1fr));
gap:30px;
}

.gallery-container img{
width:100%;
height:350px;
object-fit:cover;

border-radius:20px;

box-shadow:0 10px 25px rgba(0,0,0,.15);

transition:.4s;
}

.gallery-container img:hover{
transform:scale(1.03);
}

.gallery-btn{
text-align:center;
margin-top:40px;
}

.view-gallery{
background:#E50914;
color:white;
text-decoration:none;

padding:15px 35px;

border-radius:50px;

font-weight:bold;

transition:.3s;
}

.view-gallery:hover{
background:#111;
}

.gallery-page{
padding:100px 8%;
text-align:center;
}

.gallery-page h1{
margin-bottom:50px;
font-size:50px;
}

.gallery-grid{
display:grid;

grid-template-columns:
repeat(auto-fit,minmax(300px,1fr));

gap:25px;
}

.gallery-grid img{
width:100%;
height:300px;

object-fit:cover;

border-radius:15px;

box-shadow:0 5px 20px rgba(0,0,0,.1);
}
/* =====================================
   NEW CONTACT - SPORTY DESIGN
===================================== */

#contact {
    position: relative;
    padding: 100px 7% 90px;
    background: #0b0b0b;
    color: #fff;
    overflow: hidden;
}


/* RED GLOW */

#contact::before {
    content: "";
    position: absolute;
    width: 650px;
    height: 650px;
    left: -300px;
    top: 100px;
    border-radius: 50%;
    background: radial-gradient(
        circle,
        rgba(229, 9, 20, 0.20),
        transparent 65%
    );
}


/* BIG BACKGROUND WORD */

#contact::after {
    content: "TRAIN";
    position: absolute;
    right: -40px;
    bottom: -70px;
    font-size: 210px;
    font-weight: 900;
    font-style: italic;
    color: rgba(255,255,255,.025);
    letter-spacing: -10px;
}


/* =====================================
   HEADING
===================================== */

.contact-heading {
    position: relative;
    z-index: 2;
    text-align: center;
    margin-bottom: 60px;
}


.contact-heading span{

    display:block;

    color:#E50914;

    font-size:22px;

    font-weight:900;

    font-style:italic;

    letter-spacing:2px;

    line-height:1.2;

    margin-bottom:18px;

    text-transform:uppercase;
}


.contact-heading h2 {
    margin: 0;
    font-size: 64px;
    line-height: 1;
    font-weight: 900;
    font-style: italic;
    letter-spacing: -2px;
}


.contact-heading h2 b {
    color: #E50914;
}


.contact-heading p {
    margin-top: 20px;
    color: #888;
    font-size: 16px;
}


/* =====================================
   REMOVE FORMAL BIG CARD
===================================== */

.contact-card {
    position: relative;
    z-index: 2;

    max-width: 1050px;
    margin: auto;

    padding: 0;

    background: transparent;
    border: none;
    box-shadow: none;
}


/* =====================================
   CONTACT TITLE
===================================== */

.contact-card-title {
    text-align: center;
    margin-bottom: 30px;
}


.contact-card-title span {
    display: none;
}


.contact-card-title h3 {
    margin: 0;

    font-size: 28px;
    font-weight: 900;
    font-style: italic;

    color: #fff;
}


/* =====================================
   CONTACT GRID
===================================== */

.contact-details {
    display: grid;

    grid-template-columns: 1fr 1fr;

    gap: 18px;
}


/* =====================================
   CONTACT ITEM
===================================== */

.contact-item {
    position: relative;

    display: flex;
    align-items: center;

    min-height: 105px;

    padding: 20px 25px;

    background: #151515;

    border: 1px solid #292929;

    color: #fff;
    text-decoration: none;

    overflow: hidden;

    transition: .35s ease;
}


/* RED SLANT */

.contact-item::before {
    content: "";

    position: absolute;

    left: -35px;
    top: 0;

    width: 100px;
    height: 100%;

    background: #E50914;

    transform: skewX(-18deg);

    opacity: .9;

    transition: .35s ease;
}


.contact-item:hover {
    transform: translateY(-7px);

    border-color: #E50914;

    box-shadow:
        0 15px 35px rgba(229,9,20,.18);
}


.contact-item:hover::before {
    width: 150px;
}


/* =====================================
   ICON
===================================== */

.contact-icon {
    position: relative;
    z-index: 2;

    width: 52px;
    height: 52px;

    min-width: 52px;

    display: flex;
    justify-content: center;
    align-items: center;

    background: transparent;

    color: #fff;

    font-size: 22px;
}


/* =====================================
   TEXT
===================================== */

.contact-info {
    position: relative;
    z-index: 2;

    margin-left: 18px;

    display: flex;
    flex-direction: column;

    gap: 5px;
}


.contact-info small {
    color: #777;

    font-size: 10px;

    font-weight: 900;

    letter-spacing: 3px;
}


.contact-info strong {
    color: #fff;

    font-size: 15px;

    font-weight: 800;

    line-height: 1.4;
}


/* =====================================
   ARROW
===================================== */

.contact-arrow {
    position: relative;
    z-index: 2;

    margin-left: auto;

    color: #555;

    transition: .3s ease;
}


.contact-item:hover .contact-arrow {
    color: #E50914;
    transform: translateX(6px);
}


/* =====================================
   BOTTOM
===================================== */

.contact-bottom-text {
    position: relative;
    z-index: 2;

    text-align: center;

    margin-top: 65px;

    font-size: 17px;

    font-weight: 900;

    font-style: italic;

    letter-spacing: 4px;

    color: #555;
}


.contact-bottom-text span {
    color: #E50914;
}


/* =====================================
   MOBILE
===================================== */

@media (max-width: 768px) {

    #contact {
        padding: 75px 18px 65px;
    }

    .contact-heading h2 {
        font-size: 39px;
    }

    .contact-heading span {
        font-size: 10px;
        letter-spacing: 3px;
    }

    .contact-heading p {
        font-size: 14px;
    }

    .contact-details {
        grid-template-columns: 1fr;
    }

    .contact-item {
        min-height: 90px;
    }

    .contact-bottom-text {
        font-size: 12px;
        letter-spacing: 2px;
    }

    #contact::after {
        font-size: 100px;
        bottom: -20px;
    }
}
/* FOOTER */

footer{
background:#111;
color:white;

text-align:center;

padding:25px;
}

/* MOBILE */

/* MOBILE */

.menu-toggle{
    display:none;
}

@media(max-width:768px){

    .top-bar{
        flex-direction:column;
        gap:10px;
        text-align:center;
        padding:10px;
        font-size:12px;
    }

    nav{
        flex-direction:row;
        justify-content:space-between;
        align-items:center;
        padding:10px 18px;
        position:sticky;
        top:0;
    }

    .logo-area{
        gap:8px;
    }

    .logo-area img{
        width:52px;
        height:52px;
    }

    .logo-area h2{
        font-size:15px;
        line-height:1.2;
        max-width:210px;
    }

    /* HAMBURGER BUTTON */

    .menu-toggle{
        display:flex;
        width:44px;
        height:44px;

        align-items:center;
        justify-content:center;

        border:none;
        background:#111;
        color:white;

        border-radius:8px;
        font-size:22px;

        cursor:pointer;
        z-index:1001;
    }

    /* MOBILE NAVIGATION */

    nav ul{
        position:absolute;

        top:100%;
        left:0;

        width:100%;

        display:flex;
        flex-direction:column;

        gap:0;
        margin:0;
        padding:8px 0;

        background:white;

        box-shadow:0 8px 18px rgba(0,0,0,.15);

        opacity:0;
        visibility:hidden;

        transform:translateY(-10px);

        pointer-events:none;

        transition:.25s ease;
    }

    /* SHOW MENU WHEN CLICKED */

    nav ul.active{
        opacity:1;
        visibility:visible;

        transform:translateY(0);

        pointer-events:auto;
    }

    nav ul li{
        width:100%;
        text-align:center;
    }

    nav ul li a{
        display:block;
        padding:14px 20px;
        font-size:16px;
    }

    nav ul li a:hover{
        background:#f5f5f5;
        color:#E50914;
    }

    /* HERO */

    .hero{
        height:calc(100vh - 76px);
        min-height:560px;
    }

    .hero-content h1{
        font-size:42px;
    }

    .hero-content p{
        font-size:18px;
    }

    .section-title{
        font-size:34px;
    }

    .gallery-container{
        grid-template-columns:1fr;
    }

}
.whatsapp-float{

position:fixed;

bottom:25px;
right:25px;

width:65px;
height:65px;

background:#25D366;

border-radius:50%;

display:flex;
justify-content:center;
align-items:center;

font-size:35px;
color:white;

text-decoration:none;

box-shadow:0 5px 20px rgba(0,0,0,.3);

z-index:9999;

transition:.3s;
}

.whatsapp-float:hover{
transform:scale(1.1);
}

.youtube-icon{
color:#FF0000;
font-size:24px;
margin-right:8px;
}

.contact-box a{
text-decoration:none;
font-weight:bold;
}

/* Mobile responsive fix */
@media (max-width: 600px) {
  .hero-card {
    width: 90%;
    max-width: 100%;
    box-sizing: border-box;
    padding: 40px 20px;
  }

  .hero-card h1 {
    font-size: 42px;
    line-height: 1.15;
    overflow-wrap: break-word;
    word-break: break-word;
  }

  .hero-card h2 {
    font-size: 28px;
  }

  .hero-card p {
    font-size: 20px;
    line-height: 1.6;
  }
}
@media(max-width:768px){

    #branches{
        padding:70px 18px;
    }

    .branch-heading{
        margin-bottom:35px;
    }

    .branch-heading span{
        font-size:15px;
        gap:10px;
    }

    .branch-heading span::before,
    .branch-heading span::after{
        width:30px;
    }

    .branch-heading h2{
        font-size:32px;
        line-height:1.15;
    }

    .branch-heading p{
        font-size:15px;
    }


    .branches-container{
        grid-template-columns:1fr;
        gap:25px;
    }


    .map-box{
        height:210px;
    }


    .branch-content{
        padding:22px;
    }


    .branch-content h3{
        font-size:20px;
    }


    .map-button{
        top:14px;
        left:14px;
        font-size:12px;
        padding:9px 12px;
    }


    .map-note{
        font-size:14px;
    }

}

/* =====================================
   TRAINING PROGRAMS
===================================== */

#training {
    width: 100%;
    padding: 90px 6%;
    background: #f7f7f7;
}

.training-heading {
    text-align: center;
    margin-bottom: 50px;
}

.training-heading span {
    display: block;
    color: #e00000;
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 3px;
    margin-bottom: 10px;
}

.training-heading h2 {
    margin: 0 0 15px;
    font-size: 42px;
    font-weight: 800;
    color: #111;
}

.training-heading h2 b {
    color: #e00000;
}

.training-heading p {
    max-width: 700px;
    margin: 0 auto;
    color: #666;
    font-size: 16px;
    line-height: 1.6;
}


/* =====================================
   TRAINING CARDS
===================================== */

.training-container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;

    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 25px;
}

.training-card {
    min-height: 260px;
    padding: 30px 20px;

    background: #ffffff;
    border: 1px solid #e5e5e5;
    border-radius: 16px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;

    position: relative;
    overflow: hidden;

    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.07);

    transition: transform 0.35s ease,
                box-shadow 0.35s ease;
}


/* RED TOP LINE */

.training-card::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 4px;

    background: #e00000;

    transform: scaleX(0);
    transform-origin: left;

    transition: 0.35s ease;
}


/* ACTUAL IMAGE */

.training-card img {
    display: block;

    width: 130px;
    height: 130px;

    object-fit: contain;

    margin: 0 auto 20px;

    transition: transform 0.35s ease;
}


/* TITLE */

.training-card h3 {
    margin: 0;

    font-size: 20px;
    font-weight: 800;

    color: #111;

    letter-spacing: 0.5px;
}


/* HOVER */

.training-card:hover {
    transform: translateY(-8px);

    box-shadow: 0 18px 40px rgba(0, 0, 0, 0.14);
}

.training-card:hover::before {
    transform: scaleX(1);
}

.training-card:hover img {
    transform: scale(1.08);
}


/* =====================================
   TABLET
===================================== */

@media (max-width: 900px) {

    .training-container {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

}


/* =====================================
   MOBILE
===================================== */

@media (max-width: 600px) {

    #training {
        padding: 65px 18px;
    }

    .training-heading h2 {
        font-size: 32px;
    }

    .training-heading p {
        font-size: 15px;
    }

    .training-container {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 15px;
    }

    .training-card {
        min-height: 200px;
        padding: 20px 10px;
    }

    .training-card img {
        width: 90px;
        height: 90px;
        margin-bottom: 15px;
    }

    .training-card h3 {
        font-size: 15px;
    }

}


/* =====================================
   VERY SMALL MOBILE
===================================== */

@media (max-width: 380px) {

    .training-container {
        grid-template-columns: 1fr;
    }

}
/* ==============================
   TOURNAMENT VICTORIES
================================ */

.tournament-section {
    width: 100%;
    padding: 90px 7%;
    background: #f5f5f5;
    text-align: center;
    overflow: hidden;
}

.tournament-heading span {
    display: block;
    font-size: 38px;
    font-weight: 800;
    letter-spacing: 4px;
    color: #d71920;
    margin-bottom: 8px;
}

.tournament-heading h2 {
    margin: 10px 0;
    font-size: 32px;
    font-weight: 800;
    color: #111;
}

.tournament-heading p {
    margin: 0 auto 45px;
    max-width: 650px;
    color: #666;
    font-size: 16px;
}

/* Slider */

.tournament-slider {
    width: 100%;
    max-width: 1050px;
    height: 560px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;
}
.tournament-image-box {
    width: 850px;
    height: 520px;
    background: #eeeeee;
    border-radius: 18px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;

    border: 2px solid rgba(215, 25, 32, 0.25);

    box-shadow:
        0 15px 35px rgba(0, 0, 0, 0.12),
        0 0 30px rgba(215, 25, 32, 0.08);
}

.tournament-image-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 12px;
    transition: opacity 0.35s ease, transform 0.35s ease;
}

/* Arrows */

.tournament-btn {
    width: 52px;
    height: 52px;
    min-width: 52px;
    border: none;
    border-radius: 50%;
    background: #111;
    color: white;
    font-size: 22px;
    cursor: pointer;
    transition: 0.3s ease;
    z-index: 2;
}

.tournament-btn:hover {
    background: #d71920;
    transform: scale(1.08);
}

/* Dots */

.tournament-dots {
    margin-top: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 9px;
}

.t-dot {
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background: #bbb;
    cursor: pointer;
    transition: 0.3s ease;
}

.t-dot.active {
    width: 28px;
    border-radius: 10px;
    background: #d71920;
}
.tournament-image-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 12px;

    opacity: 1;
    transform: scale(1);

    transition:
        opacity 0.6s ease-in-out,
        transform 0.6s ease-in-out;
}
/* ==============================
   MOBILE
================================ */

@media (max-width: 768px) {

    .tournament-section {
        padding: 65px 5%;
    }

    .tournament-heading h2 {
        font-size: 30px;
    }

    .tournament-heading p {
        font-size: 14px;
        margin-bottom: 25px;
    }

    .tournament-slider {
        height: auto;
        gap: 8px;
    }

    .tournament-image-box {
        width: calc(100% - 80px);
        height: 330px;
        padding: 6px;
        border-radius: 14px;
    }

    .tournament-btn {
        width: 38px;
        height: 38px;
        min-width: 38px;
        font-size: 17px;
    }

    .tournament-dots {
        margin-top: 18px;
    }
}

@media (max-width: 480px) {

    .tournament-section {
        padding: 55px 4%;
    }

 @media (max-width: 768px) {
    .tournament-heading span {
        font-size: 24px;
        letter-spacing: 3px;
    }
}

    .tournament-heading h2 {
        font-size: 20px;
    }

    .tournament-image-box {
        height: 270px;
    }

    .tournament-btn {
        width: 34px;
        height: 34px;
        min-width: 34px;
        font-size: 15px;
    }
}
/* =====================================
   QUOTE SECTION
===================================== */

.quote-section {
    position: relative;
    padding: 75px 20px 65px;
    background: #f5f5f5;
    text-align: center;
    overflow: hidden;
}



/* Main quote */

.quote-section p {
    max-width: 850px;
    margin: 0 auto;

    font-family: 'Times New Roman', serif;
    font-size: 25px;
    line-height: 1.5;
    font-style: italic;
    font-weight: 600;

    color: #171717;
}



/* Decorative line */

.quote-line {
    width: 65px;
    height: 3px;
    background: #E50914;

    margin: 25px auto 18px;
}

/* Sensei name */

.quote-section h4 {
    margin: 0;

    font-size: 13px;
    letter-spacing: 3px;
    font-weight: 800;

    color: #555;
}


/* =====================================
   MOBILE
===================================== */

@media (max-width: 768px) {

    .quote-section {
        padding: 55px 20px 50px;
    }

    .quote-mark {
        font-size: 70px;
        line-height: 35px;
    }

    .quote-section p {
        font-size: 21px;
        line-height: 1.55;
    }

    .quote-section h4 {
        font-size: 10px;
        letter-spacing: 2px;
    }

    .quote-line {
        width: 50px;
        height: 2px;
        margin: 20px auto 15px;
    }
}
.reviews {
  position: relative;
  padding: 90px 20px;
  background: #f5f5f5;
  text-align: center;
  overflow: hidden;
}

.reviews-title span {
  color: #c40000;
  font-size: 12px;
  font-weight: 800;
  letter-spacing: 4px;
}

.reviews-title h2 {
  margin: 10px 0;
  font-size: 42px;
  color: #111;
}

.reviews-title p {
  margin: 0;
  color: #777;
}

.review-slider {
  width: 100%;
  max-width: 650px;
  margin: 55px auto 0;
  overflow: hidden;
  border-radius: 25px;
}

.review-track {
  display: flex;
  transition: transform 0.6s ease;
}

.review-slide {
  min-width: 100%;
  box-sizing: border-box;
  position: relative;
  padding: 55px 50px 45px;
  background: white;
  border-radius: 25px;
  border: 1px solid #ddd;
  box-shadow: 0 20px 50px rgba(0,0,0,0.12);
}

.review-slide::before {
  content: "";
  position: absolute;
  top: 0;
  left: 15%;
  width: 70%;
  height: 4px;
  background: #c40000;
  border-radius: 0 0 10px 10px;
}


.big-quote {
  font-family: Georgia, serif;
  font-size: 75px;
  line-height: 50px;
  color: #c40000;
}

.review-slide p {
  margin: 20px auto 25px;
  max-width: 520px;
  font-size: 20px;
  line-height: 1.6;
  color: #333;
}

.red-line {
  width: 45px;
  height: 3px;
  background: #c40000;
  margin: auto auto 18px;
}

.review-slide h3 {
  margin: 0;
  font-size: 19px;
  color: #111;
}

.review-slide small {
  display: block;
  margin-top: 5px;
  color: #c40000;
  font-weight: 700;
}

/* Arrows */

.review-prev,
.review-next {
  position: absolute;
  top: 55%;
  width: 42px;
  height: 42px;
  border: none;
  border-radius: 50%;
  background: #111;
  color: white;
  font-size: 30px;
  cursor: pointer;
  z-index: 10;
  transition: 0.3s;
}

.review-prev {
  left: calc(50% - 380px);
}

.review-next {
  right: calc(50% - 380px);
}

.review-prev:hover,
.review-next:hover {
  background: #c40000;
  transform: scale(1.1);
}

/* Dots */

.review-dots {
  margin-top: 28px;
}

.review-dot {
  display: inline-block;
  width: 9px;
  height: 9px;
  margin: 0 5px;
  background: #ccc;
  border-radius: 50%;
  cursor: pointer;
  transition: 0.3s;
}

.review-dot.active {
  width: 28px;
  background: #c40000;
  border-radius: 10px;
}

/* Mobile */

@media(max-width:700px) {

  .reviews {
    padding: 65px 15px;
  }

  .reviews-title h2 {
    font-size: 30px;
  }

  .reviews-title p {
    font-size: 14px;
  }

  .review-slide {
    padding: 50px 25px 40px;
  }

  .review-slide p {
    font-size: 17px;
  }

  .review-prev {
    left: 8px;
  }

  .review-next {
    right: 8px;
  }

 
}